Bug 283852 - Find/Replace in Files tollvew -> change creteria causes crash
Summary: Find/Replace in Files tollvew -> change creteria causes crash
Status: RESOLVED FIXED
Alias: None
Product: kdevplatform
Classification: Developer tools
Component: grepview (show other bugs)
Version: unspecified
Platform: Archlinux Linux
: NOR normal (vote)
Target Milestone: 1.3.0
Assignee: kdevelop-bugs-null
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-12 10:34 UTC by Sergey Vidyuk
Modified: 2013-03-31 01:17 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
Crash backtrace (10.07 KB, application/octet-stream)
2011-10-12 10:34 UTC, Sergey Vidyuk
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sergey Vidyuk 2011-10-12 10:34:55 UTC
Created attachment 64453 [details]
Crash backtrace

Version:           git master (using KDE 4.7.1) 
OS:                Linux

GrepOutputView constructor doesn't initialize m_plugin pointer and GrepOutputView::setPlugin() method is not called before first search operation (It's called in the GrepDialog::performAction() method).

Change criteria action calls GrepOutputView::showDialog which tries to call m_plugin->showDialog(true) however m_plugin member points to uninitialized memory and kdevelop crashes.

I don't feel myself familiar enough with the kdevelop code to fix this.

Reproducible: Always

Steps to Reproduce:
Start KDevelop and open Find in Files toolview without running any search.
Click on the change creteria button

Actual Results:  
Kdevelop crashes

Expected Results:  
Find in files dialog should be opened
Comment 1 Milian Wolff 2011-10-12 13:29:27 UTC
Git commit 9f6b1bb9e724055987c378cb41c218fd9f45a00f by Milian Wolff.
Committed on 12/10/2011 at 15:28.
Pushed by mwolff into branch 'master'.

always set plugin for grepoutputview properly

BUG: 283852

M  +0    -1    plugins/grepview/grepdialog.cpp
M  +11   -8    plugins/grepview/grepoutputview.cpp
M  +5    -4    plugins/grepview/grepoutputview.h
M  +1    -1    plugins/grepview/grepviewplugin.cpp

http://commits.kde.org/kdevplatform/9f6b1bb9e724055987c378cb41c218fd9f45a00f